# Delete record

`DELETE https://api.airtable.com/v0/{baseId}/{tableIdOrName}/{recordId}`

Deletes a single record

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`data.records:write`](https://airtable.com/developers/web/api/scopes.md#data-records-write)
- **User role:** Base editor
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

- `tableIdOrName: string`

- `recordId: string`

## Response format

- `id: string` — required

  Record ID

- `deleted: true` — required

### Example — Success response

```sh
curl -X DELETE "https://api.airtable.com/v0/{baseId}/{tableIdOrName}/{recordId}" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "deleted": true,
  "id": "rec560UJdUtocSouk"
}
```
